## org.eclipse.datatools.enablement.sybase.ase.providers
Class ASEContentProviderUtil

    java.lang.Object
      org.eclipse.datatools.enablement.sybase.ui.util.DSEContentProviderUtil
          org.eclipse.datatools.enablement.sybase.ase.providers.ASEContentProviderUtil

    public class ASEContentProviderUtil

extends DSEContentProviderUtil

Author:
  lihuang

Field Summary

Fields inherited from class org.eclipse.datatools.enablement.sybase.ui.util.DSEContentProviderUtil
`CHECK_CONSTRAINT_FOLDER, COLUMN, CONSTRAINT, DEPENDENCY, FOREIGN_KEY_FOLDER, INDEX, nodeFactory, PRIMARY_KEY_FOLDER, resourceLoader, TRIGGER, UNIQUE_CONSTRAINT_FOLDER`

Constructor Summary
`ASEContentProviderUtil()`

Method Summary
`static java.lang.Object[]` `getWebServiceTableChildren(java.lang.Object parent)`

Methods inherited from class org.eclipse.datatools.enablement.sybase.ui.util.DSEContentProviderUtil
`appendOwnerToLabel, appendOwnerToLabel, appendOwnerToLabel, getArrays, getConstraintNodeChildren, getParameterDisplayNameFormatedText, getProxyTableChildren, getTableChildren, getUDTDisplayNameFormatedText, getViewTableChildren, isObjectRenamed`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ASEContentProviderUtil

    public ASEContentProviderUtil()

Method Detail

### getWebServiceTableChildren

    public static java.lang.Object[] getWebServiceTableChildren(java.lang.Object parent)